Posts by Mava499

    Hey dreamshader ,

    schreibe ich später noch einmal rein, wie ich es realisiert habe.

    Ich hatte tatsächlich das original falsch geschrieben, aber es läuft immer noch nicht.

    Bei der eingabe ls -l /home/pi/or*.pybekomme ich folgendes ausgegeben.

    Quote

    pi@raspberrypi:~ $ ls -l /home/pi/or*.py

    -rw-r--r-- 1 pi pi 1213 Dez 4 11:51 /home/pi/original123.py

    -rw-r--r-- 1 pi pi 47 Dez 4 11:47 /home/pi/originalabc.py

    -rwxrwxrwx 1 pi pi 1833 Dez 4 13:36 /home/pi/original.py

    Wir haben jetzt mal eine ganz simple Python Datei geschrieben und diese dort eingefügt. Das funktioniert auch, also schließe ich daraus

    das es an unserem Python Programm liegt.

    Hier noch mal unser Programm vielleicht sieht ihr ja etwas:

    Wenn wir das Programm normal in Python ausführen läuft es ohne Problem.

    Hey,

    so das ding läuft jetzt.:danke_ATDE:


    Nun wollte ich meine python Datei "orginal.py" automatisch starten.

    Habe dieses über rc.local probiert

    sudo nano /etc/rc.local

    und habe dann dort dieses eingegeben, weis aber nicht genau ob das so realisierbar ist.

    python /home/pi/orginal.py &

    ich habe das ganze mit python3 programmiert also denke ich das ich python3
    eingeben muss. Wenn ich diesen befehl im Terminal eingebe gibt er mir das aus

    Unsere Python datei liegt unter /home/pi

    Hey,

    so ich war nicht untätig in der zwischen Zeit. Ich habe jetzt nur spi installiert und eine Nfc Platine kann ich jetzt darüber ansprechen. Wie spreche ich jetzt über den CE1 die Zweite an das diese auch über den Nfc-poll Befehl ausliest?

    Des weitern habe ich noch Probleme beim kompilieren der nfc-poll.c Datei.

    Hier tritt immer folgender Fehler auf:

    Wie kann ich das lösen?

    Moin Jungs

    Ja es klappt einzelnd uart, i2c und spi

    Wir brachen aber zwei nfc Platinen, weil wir über beide Platinen unserer Programm.

    schalten müssen.

    Installiert sind alle Treiber und die nfc lib.


    Ein neuer Versuch von uns ist die i2c Schnittstelle auf ein Oder zu geben und dann an die nfc Platinen zu gehen. Was meint ihr klappt das ?


    Danke für die schnelle Antwort

    Gruß mava499

    Hallo, ich würde gerne spi und i2c gleichzeitig benutzen. Das heißt ich habe zwei nfc Platinen PN532 und würde diese gerne gleichzeitig mit dem Befehl nfc-Poll abfragen. Mein Problem im Moment ist wenn ich mit nfc-List eingebe bekomme ich bei spi immer diesen Fehler

    zum Setup:

    Raspberry Pi 3

    2xnfc pn 532


    Anschluss vom pi zur pn532:

    3,3V-5V

    Gnd-gnd

    Ce0 - ssel/scl/Rx

    Mosi - mosi

    Miso - miso

    Sckl - sck

    1.Kann man zwei nfc Platinen an den raspberry anschließen über zwei verschiedene Schnittstellen ? (Z.b. I2c und spi )

    2. Was macht man, wenn in der Blacklist Datei nix drin steht obwohl etwas drin stehen sollte ? Der Pfad ist /etc/modprobe.d/raspi-blacklist.conf

    Hey noisefloor und fred0815 ,

    wir haben versucht in die log.txt Datei mehr als 6 Zeilen rein zuschreiben. Was auch ohne die Schleife funktioniert,

    aber sobald wir die Schleife wieder hinzufügen zeigt er uns in der log.txt Datei nicht mehr unsere 6 Namen an die wir

    unter einander reinschreiben sondern diesen Befehl

    Das was er da jetzt reinschreibt muss von der nfc-poll Datei kommen wegen eines Laufzeit Fehlers.

    Nun aber die frage wie kann man dies lösen.

    Ich hatte mir gedacht ob man die nfc-poll datei mit einem Befehl stoppt und am Anfang wird sie ja wieder automatisch gestartet.

    Hallo,

    wir haben die Schleife jetzt hin bekommen, aber sie beendet sich nach gewisser Zeit einfach selber und schmeißt folgenden Fehler raus.


    Traceback (most recent call last):

    File "/home/pi/Test11.py", line 16, in <module>

    lines = rfile.readlines() [5]

    IndexError: list index out of range


    Hier unser Aktueller Quellcode

    So wir haben das Problem mit dem Relais selber lösen können.


    noisefloor : Nun aber noch mal zu dem Autostart:

    Wir haben im Internet einmal geguckt aber nichts dazu gefunden bzw vielleicht auch falsch gesucht.

    Hättest du ein beispiel für uns wie wir das lösen können oder eine Anleitung?

    Hallo,

    ich habe folgende Probleme.

    1. Ich bekomme es nicht hin die Autostart zu programmieren.

    Was ich bis jetzt versucht habe:

    Diesen Code habe ich hier hinein geschrieben

    Code
    1. sudo nano /etc/init.d/Autonfc


    Dann hab ich noch die Rechte zum ausführen zugewiesen

    Code
    1. sudo chmod +x /etc/init.d/Autonfc

    Zu letzt hab ich es dann noch eingebunden

    Code
    1. sudo update-rc.d Autonfc defaults

    Nun funktioniert dies aber nur wenn ich das Programm mit dem Befehl starte

    Code
    1. sudo /etc/init.d/Autonfc restart


    2.

    Zum zweiten Problem wir haben zwei einzelne Programme die einzeln laufen.

    Das eine über die Konsole und das andere über Python. Nun wollten wir diese verbinden und er zeigt uns nur noch Fehler an.

    und

    Code
    1. #!/usr/bin/python
    2. import time
    3. import RPi.GPIO as GPIO
    4. GPIO.setmode(GPIO.BCM)
    5. GPIO.setup(22, GPIO.OUT)
    6. GPIO.output(22, GPIO.LOW)
    7. time.sleep(10)
    8. GPIO.output(22, GPIO.HIGH)
    9. GPIO.cleanup()

    Was zusammen dann so aus sah

    Hallo,

    ich habe einen Raspberry Pi3 mit einer PN532 NFC-Platine. Diese habe ich auch schon installiert und es funktioniert auch soweit.

    Jetzt zu dem Problem:

    Ich würde gerne die UID abspeichern so das ich diese mit einer Datenbank vergleichen kann. So das man sagen kann ID-XY ist berechtigt und alle anderen IDs nicht. Der Raspberry zeigt mir im Moment dieses an:


    pi@raspberrypi:~/libnfc/examples $ sudo ./nfc-poll

    /home/pi/libnfc/examples/.libs/lt-nfc-poll uses libnfc libnfc-1.7.1-191-g216145f

    NFC reader: PN532 board via UART opened

    NFC device will poll during 30000 ms (20 pollings of 300 ms for 5 modulations)

    ISO/IEC 14443A (106 kbps) target:

    ATQA (SENS_RES): 00 04

    UID (NFCID1): fe fc 71 f1

    SAK (SEL_RES): 08

    Waiting for card removing...nfc_initiator_target_is_present: Target Released

    done.


    Was auch korret ist! Ich kann aber nicht finden, wo die UID in der nfc-poll geschrieben wird. Vielleicht habt ihr eine Idee?


    Hier noch die nfc-poll


    Super hat geklappt! Das Modul wurde erkannt und erkennt auch den NFC-Chip. Bekomme jetzt diese Meldung, bei der Eingabe von :sudo ./nfc-poll


    pi@raspberrypi:~/libnfc/examples $ sudo ./nfc-poll

    /home/pi/libnfc/examples/.libs/lt-nfc-poll uses libnfc libnfc-1.7.1-191-g216145f

    NFC reader: PN532 board via UART opened

    NFC device will poll during 30000 ms (20 pollings of 300 ms for 5 modulations)

    ISO/IEC 14443A (106 kbps) target:

    ATQA (SENS_RES): 00 04

    UID (NFCID1): fe fc 71 f1

    SAK (SEL_RES): 08

    Waiting for card removing...nfc_initiator_target_is_present: Target Released

    done.


    Dann kann ich mich ja jetzt weiter austoben.

    Besten Dank an Bernd und die anderen!

    Hallo,

    in welche config.txt datei muss das den bzw wo finde ich die?

    Ich habe in der libnfc nur config.h ; config.h.in ; config.log ; config.status ; config.sub

    Hallo Bernd,

    ich habe die beiden Befehle eingeben.

    Beim ersten bekomme ich die gleiche rückmeldung wie du beschrieben hast.

    Beim zweiten steht der Befehl auch am ende der Zeile, ist somit auf vorhanden.

    ich hab mich mal auf die suche danach gemacht und habe eine nfc-poll datei gefunden.

    In der steht folgendes:


    #! /bin/bash


    # nfc-poll - temporary wrapper script for .libs/nfc-poll

    # Generated by libtool (GNU libtool) 2.4.6 Debian-2.4.6-2

    #

    # The nfc-poll program cannot be directly executed until all the libtool

    # libraries that it depends on are installed.

    #

    # This wrapper script should never be moved out of the build directory.

    # If it is, it will not operate correctly.


    # Sed substitution that helps us do robust quoting. It backslashifies

    # metacharacters that are still active within double-quoted strings.

    sed_quote_subst='s|\([`"$\\]\)|\\\1|g'


    # Be Bourne compatible

    if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then

    emulate sh

    NULLCMD=:

    # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which

    # is contrary to our usage. Disable this feature.

    alias -g '${1+"$@"}'='"$@"'

    setopt NO_GLOB_SUBST

    else

    case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac

    fi

    BIN_SH=xpg4; export BIN_SH # for Tru64

    DUALCASE=1; export DUALCASE # for MKS sh


    # The HP-UX ksh and POSIX shell print the target directory to stdout

    # if CDPATH is set.

    (unset CDPATH) >/dev/null 2>&1 && unset CDPATH


    relink_command="(cd /home/pi/libnfc/examples; { test -z \"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH || { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z \"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \"\${LD_LIBRARY_PATH+set}\" || unset LD_LIBRARY_PATH || { LD_LIBRARY_PATH=; export LD_LIBRARY_PATH; }; }; PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin; export PATH; gcc -I../libnfc -I.. -g -O2 -Wall -pedantic -Wextra -std=c99 -Du_int8_t=uint8_t -Du_int16_t=uint16_t -o \$progdir/\$file nfc-poll.o ../libnfc/.libs/libnfc.so ../utils/.libs/libnfcutils.a /usr/lib/libnfc.so -Wl,-rpath -Wl,/home/pi/libnfc/libnfc/.libs)"


    # This environment variable determines our operation mode.

    if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then

    # install mode needs the following variables:

    generated_by_libtool_version='2.4.6'

    notinst_deplibs=' ../libnfc/libnfc.la'

    else

    # When we are sourced in execute mode, $file and $ECHO are already set.

    if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then

    file="$0"


    # A function that is used when there is no print builtin or printf.

    func_fallback_echo ()

    {

    eval 'cat <<_LTECHO_EOF

    $1

    _LTECHO_EOF'

    }

    ECHO="printf %s\\n"

    fi


    # Very basic option parsing. These options are (a) specific to

    # the libtool wrapper, (b) are identical between the wrapper

    # /script/ and the wrapper /executable/ that is used only on

    # windows platforms, and (c) all begin with the string --lt-

    # (application programs are unlikely to have options that match

    # this pattern).

    #

    # There are only two supported options: --lt-debug and

    # --lt-dump-script. There is, deliberately, no --lt-help.

    #

    # The first argument to this parsing function should be the

    # script's ../libtool value, followed by no.

    lt_option_debug=

    func_parse_lt_options ()

    {

    lt_script_arg0=$0

    shift

    for lt_opt

    do

    case "$lt_opt" in

    --lt-debug) lt_option_debug=1 ;;

    --lt-dump-script)

    lt_dump_D=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%/[^/]*$%%'`

    test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.

    lt_dump_F=`$ECHO "X$lt_script_arg0" | /bin/sed -e 's/^X//' -e 's%^.*/%%'`

    cat "$lt_dump_D/$lt_dump_F"

    exit 0

    ;;

    --lt-*)

    $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2

    exit 1

    ;;

    esac

    done


    # Print the debug banner immediately:

    if test -n "$lt_option_debug"; then

    echo "nfc-poll:nfc-poll:$LINENO: libtool wrapper (GNU libtool) 2.4.6 Debian-2.4.6-2" 1>&2

    fi

    }


    # Used when --lt-debug. Prints its arguments to stdout

    # (redirection is the responsibility of the caller)

    func_lt_dump_args ()

    {

    lt_dump_args_N=1;

    for lt_arg

    do

    $ECHO "nfc-poll:nfc-poll:$LINENO: newargv[$lt_dump_args_N]: $lt_arg"

    lt_dump_args_N=`expr $lt_dump_args_N + 1`

    done

    }


    # Core function for launching the target application

    func_exec_program_core ()

    {


    if test -n "$lt_option_debug"; then

    $ECHO "nfc-poll:nfc-poll:$LINENO: newargv[0]: $progdir/$program" 1>&2

    func_lt_dump_args ${1+"$@"} 1>&2

    fi

    exec "$progdir/$program" ${1+"$@"}


    $ECHO "$0: cannot exec $program $*" 1>&2

    exit 1

    }


    # A function to encapsulate launching the target application

    # Strips options in the --lt-* namespace from $@ and

    # launches target application with the remaining arguments.

    func_exec_program ()

    {

    case " $* " in

    *\ --lt-*)

    for lt_wr_arg

    do

    case $lt_wr_arg in

    --lt-*) ;;

    *) set x "$@" "$lt_wr_arg"; shift;;

    esac

    shift

    done ;;

    esac

    func_exec_program_core ${1+"$@"}

    }


    # Parse options

    func_parse_lt_options "$0" ${1+"$@"}


    # Find the directory that this script lives in.

    thisdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`

    test "x$thisdir" = "x$file" && thisdir=.


    # Follow symbolic links until we get to the real thisdir.

    file=`ls -ld "$file" | /bin/sed -n 's/.*-> //p'`

    while test -n "$file"; do

    destdir=`$ECHO "$file" | /bin/sed 's%/[^/]*$%%'`


    # If there was a directory component, then change thisdir.

    if test "x$destdir" != "x$file"; then

    case "$destdir" in

    [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;

    *) thisdir="$thisdir/$destdir" ;;

    esac

    fi


    file=`$ECHO "$file" | /bin/sed 's%^.*/%%'`

    file=`ls -ld "$thisdir/$file" | /bin/sed -n 's/.*-> //p'`

    done


    # Usually 'no', except on cygwin/mingw when embedded into

    # the cwrapper.

    WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no

    if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then

    # special case for '.'

    if test "$thisdir" = "."; then

    thisdir=`pwd`

    fi

    # remove .libs from thisdir

    case "$thisdir" in

    *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /bin/sed 's%[\\/][^\\/]*$%%'` ;;

    .libs ) thisdir=. ;;

    esac

    fi


    # Try to get the absolute directory name.

    absdir=`cd "$thisdir" && pwd`

    test -n "$absdir" && thisdir="$absdir"


    program=lt-'nfc-poll'

    progdir="$thisdir/.libs"


    if test ! -f "$progdir/$program" ||

    { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | /bin/sed 1q`; \

    test "X$file" != "X$progdir/$program"; }; then


    file="$$-$program"


    if test ! -d "$progdir"; then

    mkdir "$progdir"

    else

    rm -f "$progdir/$file"

    fi


    # relink executable if necessary

    if test -n "$relink_command"; then

    if relink_command_output=`eval $relink_command 2>&1`; then :

    else

    $ECHO "$relink_command_output" >&2

    rm -f "$progdir/$file"

    exit 1

    fi

    fi


    mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||

    { rm -f "$progdir/$program";

    mv -f "$progdir/$file" "$progdir/$program"; }

    rm -f "$progdir/$file"

    fi


    if test -f "$progdir/$program"; then

    if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then

    # Run the actual program with our arguments.

    func_exec_program ${1+"$@"}

    fi

    else

    # The program doesn't exist.

    $ECHO "$0: error: '$progdir/$program' does not exist" 1>&2

    $ECHO "This script is just a wrapper for $program." 1>&2

    $ECHO "See the libtool documentation for more information." 1>&2

    exit 1

    fi

    fi